sockaddr_str.h File Reference
IP address/port utilities.

Common API to store an IP address and port. More...

`#include <stdint.h>`
`#include <stdbool.h>`
`#include <arpa/inet.h>`
`#include <osmocom/core/defs.h>`

Go to the source code of this file.

## Data Structures

struct | osmo_sockaddr_str

## Macros

#define | OSMO_SOCKADDR_STR_FMT "%s%s%s:%u"
| Format string to print an osmo_sockaddr_str. More...
#define | OSMO_SOCKADDR_STR_FMT_ARGS(R)

## Functions

int | osmo_ip_str_type (const char *ip)
bool | osmo_sockaddr_str_is_set (const struct osmo_sockaddr_str *sockaddr_str)
bool | osmo_sockaddr_str_is_nonzero (const struct osmo_sockaddr_str *sockaddr_str)
int | osmo_sockaddr_str_cmp (const struct osmo_sockaddr_str *a, const struct osmo_sockaddr_str *b)
int | osmo_sockaddr_str_from_str (struct osmo_sockaddr_str *sockaddr_str, const char *ip, uint16_t port)
int | osmo_sockaddr_str_from_str2 (struct osmo_sockaddr_str *sockaddr_str, const char *ip)
int | osmo_sockaddr_str_from_in_addr (struct osmo_sockaddr_str *sockaddr_str, const struct in_addr *addr, uint16_t port)
int | osmo_sockaddr_str_from_in6_addr (struct osmo_sockaddr_str *sockaddr_str, const struct in6_addr *addr, uint16_t port)
int | osmo_sockaddr_str_from_32 (struct osmo_sockaddr_str *sockaddr_str, uint32_t ip, uint16_t port)
int | osmo_sockaddr_str_from_32h (struct osmo_sockaddr_str *sockaddr_str, uint32_t ip, uint16_t port)
int | osmo_sockaddr_str_from_sockaddr_in (struct osmo_sockaddr_str *sockaddr_str, const struct sockaddr_in *src)
int | osmo_sockaddr_str_from_sockaddr_in6 (struct osmo_sockaddr_str *sockaddr_str, const struct sockaddr_in6 *src)
int | osmo_sockaddr_str_from_sockaddr (struct osmo_sockaddr_str *sockaddr_str, const struct sockaddr_storage *src)
int | osmo_sockaddr_str_to_in_addr (const struct osmo_sockaddr_str *sockaddr_str, struct in_addr *dst)
int | osmo_sockaddr_str_to_in6_addr (const struct osmo_sockaddr_str *sockaddr_str, struct in6_addr *dst)
int | osmo_sockaddr_str_to_32 (const struct osmo_sockaddr_str *sockaddr_str, uint32_t *ip)
int | osmo_sockaddr_str_to_32h (const struct osmo_sockaddr_str *sockaddr_str, uint32_t *ip)
int | osmo_sockaddr_str_to_sockaddr_in (const struct osmo_sockaddr_str *sockaddr_str, struct sockaddr_in *dst)
int | osmo_sockaddr_str_to_sockaddr_in6 (const struct osmo_sockaddr_str *sockaddr_str, struct sockaddr_in6 *dst)
int | osmo_sockaddr_str_to_sockaddr (const struct osmo_sockaddr_str *sockaddr_str, struct sockaddr_storage *dst)
int | osmo_sockaddr_str_from_32n (struct osmo_sockaddr_str *sockaddr_str, uint32_t ip, uint16_t port) OSMO_DEPRECATED("osmo_sockaddr_str_from_32n() actually uses *host* byte order. Use osmo_sockaddr_str_from_32h() instead")
int | osmo_sockaddr_str_to_32n (const struct osmo_sockaddr_str *sockaddr_str, uint32_t *ip) OSMO_DEPRECATED("osmo_sockaddr_str_to_32n() actually uses *host* byte order. Use osmo_sockaddr_str_to_32h() instead")

## Detailed Description

Common API to store an IP address and port.